Summary:	K-3D open-source 3D modeling, animation and rendering system
Name:		k3d
Version:	0.8.0.5
Release:	%mkrel 4
License:	GPLv2+
Group:		Graphics/3D
# https://github.com/K-3D/k3d
URL:		http://www.k-3d.org
# https://github.com/K-3D/k3d/releases repackaged
Source0:	%{name}-source-%{version}.tar.bz2
Source1:	%{name}.desktop
Patch1:		%{name}-0.8.0.5-lib64.patch
Patch2:		%{name}-0.8.0.5-no_qtui_files.patch
Patch3:		%{name}-0.8.0.5-fix-missing-glibmm-include.patch
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	boost-devel
BuildRequires:	jpeg-devel
BuildRequires:	tiff-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(ftgl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gnome-vfs-2.0)
BuildRequires:	pkgconfig(gtkglext-1.0)
BuildRequires:	pkgconfig(gtkmm-2.4)
BuildRequires:	pkgconfig(gtksourceview-2.0)
BuildRequires:	pkgconfig(gts)
BuildRequires:	pkgconfig(ImageMagick)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(uuid)
%ifarch x86_64
BuildRequires:	chrpath
%endif
# manpage generation
BuildRequires:	asciidoc
BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtd-xml
BuildRequires:	xsltproc

Requires:	yafray
Requires:	povray
Requires:	aqsis

%description
K-3D is the free-as-in-freedom 3D modeling, animation, and rendering
system for GNU/Linux, Posix, and Win32 operating systems. K-3D features a
robust, object-oriented plugin architecture, designed to scale to the needs of
professional artists, and is designed from-the-ground-up to generate
motion-picture-quality animation using RenderMan-compliant render engines.

%package devel
Summary:	K-3D development headers
Group:		Development/C++
Requires:	%{name} = %{version}

%description devel
Development libraries needed to develop new k3d plugins.

%prep
%setup -qn %{name}-source-%{version}
%autopatch -p1

%build
export CXXFLAGS+="-ffunction-sections -std=c++11 -lboost_system"
%cmake \
    -DK3D_BUILD_GTS_MODULE:BOOL=ON

LD_LIBRARY_PATH=%{_builddir}/k3d-source-%{version}/build/lib:%{_builddir}/k3d-source-%{version}/build/%{_lib}:$LD_LIBRARY_PATH \
      %__make -j4
#parallel build is broken for 0.8.0.2

%install
%make_install -C build

mkdir -p %{buildroot}%{_datadir}/applications
install -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop

%files 
%doc AUTHORS README
%{_bindir}/%{name}*
%{_libdir}/lib%{name}*.so.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/plugins
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/documents
%{_datadir}/%{name}/fonts
%{_datadir}/%{name}/geometry
%{_datadir}/%{name}/guide
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/logo
%{_datadir}/%{name}/lsystem
%{_datadir}/%{name}/ngui
%{_datadir}/%{name}/scripts
%{_datadir}/%{name}/shaders
%{_datadir}/%{name}/textures
%{_datadir}/%{name}/*.%{name}
%exclude %{_datadir}/%{name}/shaders/*.h
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*
%dir %{_datadir}/%{name}/locale
%dir %{_datadir}/%{name}/locale/chef
%dir %{_datadir}/%{name}/locale/chef/LC_MESSAGES
%{_datadir}/%{name}/locale/chef/LC_MESSAGES/%{name}.mo

%files devel
%{_libdir}/lib%{name}*.so
%{_libdir}/%{name}/include
%{_includedir}/%{name}
%{_datadir}/%{name}/shaders/*.h


%changelog
* Fri Sep 16 2016 daviddavid <daviddavid> 0.8.0.5-4.mga6
+ Revision: 1053487
- add patch to fix build adding missing glibmm include

* Mon Feb 15 2016 umeabot <umeabot> 0.8.0.5-3.mga6
+ Revision: 960794
- Mageia 6 Mass Rebuild

* Sat Dec 26 2015 daviddavid <daviddavid> 0.8.0.5-2.mga6
+ Revision: 915192
- rebuild for new boost 1.60.0

* Sun Nov 15 2015 ycantin <ycantin> 0.8.0.5-1.mga6
+ Revision: 903307
- fix BR for man page
- new version 0.8.0.5
- drop upstreamed patchs
- refresh lib64 install path patch
- disable unused qtui ressource files installation
- fix BR
- fix file list

* Fri Oct 09 2015 barjac <barjac> 0.8.0.2-13.mga6
+ Revision: 888233
- rebuild for boost-1.59
- remove find-lang as nothing is found
- add lboost_system to CCXFLAGS to fix build

  + daviddavid <daviddavid>
    - rebuild for new boost 1.59.0

* Sat Aug 29 2015 cjw <cjw> 0.8.0.2-11.mga6
+ Revision: 870994
- patch8: fix build with gcc 5

  + fwang <fwang>
    - add fedora patch to make it build
    - force cpp 11

  + daviddavid <daviddavid>
    - rebuild for new boost-1.58.0

* Thu Feb 19 2015 anaselli <anaselli> 0.8.0.2-10.mga6
+ Revision: 815935
- fixed build failure

* Wed Jan 07 2015 alexl <alexl> 0.8.0.2-9.mga5
+ Revision: 808951
- updated desktop file

* Wed Nov 12 2014 alexl <alexl> 0.8.0.2-8.mga5
+ Revision: 796586
- fixed icon in desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0.2-7.mga5
+ Revision: 739192
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 alexl <alexl> 0.8.0.2-6.mga5
+ Revision: 731422
- fixed requires-on-release

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0.2-5.mga5
+ Revision: 680910
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 luigiwalser <luigiwalser> 0.8.0.2-4.mga5
+ Revision: 666996
- rebuild for ilmbase and OpenEXR

* Sat Aug 23 2014 fwang <fwang> 0.8.0.2-3.mga5
+ Revision: 666783
- rebuild for imagemagick

  + alexl <alexl>
    - added GenericName
    - translated desktop file

* Thu May 01 2014 luigiwalser <luigiwalser> 0.8.0.2-2.mga5
+ Revision: 619153
- rebuild for ilmbase

* Tue Apr 15 2014 alexl <alexl> 0.8.0.2-1.mga5
+ Revision: 615159
- imported package k3d

